Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1488483

Summary: Asterisk should build against mariadb-connector-c
Product: [Fedora] Fedora Reporter: Michal Schorm <mschorm>
Component: asteriskAssignee: Jared Smith <jsmith.fedora>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: bazanluis20, itamar, jsmith.fedora, rbryant
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-14 02:33:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1486480    
Attachments:
Description Flags
Patch needed none

Description Michal Schorm 2017-09-05 13:51:14 UTC
Hello,

please update the Rawhide (f28) version, to build against mariadb-connector-c-devel, instead mariadb-devel (or mysql-devel).

I'll provide the patch needed in a while.

Comment 1 Michal Schorm 2017-09-05 14:09:56 UTC
Created attachment 1322243 [details]
Patch needed

This patch should be everything you need for the update.

Tested against Rawhide (F28) version:
https://copr.fedorainfracloud.org/coprs/g/db-sig/mariadb-10.2/build/598588/

Comment 2 Michal Schorm 2017-12-13 12:39:54 UTC
Hello,
 any update regarding this issue?

Comment 3 Jared Smith 2017-12-14 02:33:48 UTC
This has been changed in commit 6bbdafc86771e0164e9ae2685dab0bfb78fd48ad, and is currently building in Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=23674241